## clips 6.10

=== Makefile ===
OBJS = agenda.o analysis.o argacces.o bload.o bmathfun.o bsave.o \
 	classcom.o classexm.o classfun.o classinf.o classini.o \
 	classpsr.o clsltpsr.o commline.o conscomp.o constrct.o \
 	constrnt.o crstrtgy.o cstrcbin.o cstrccom.o cstrcpsr.o \
 	cstrnbin.o cstrnchk.o cstrncmp.o cstrnops.o cstrnpsr.o \
 	cstrnutl.o default.o defins.o developr.o dffctbin.o dffctbsc.o \
 	dffctcmp.o dffctdef.o dffctpsr.o dffnxbin.o dffnxcmp.o \
 	dffnxexe.o dffnxfun.o dffnxpsr.o dfinsbin.o dfinscmp.o drive.o \
 	edbasic.o edmain.o edmisc.o edstruct.o edterm.o emathfun.o \
 	engine.o evaluatn.o expressn.o exprnbin.o exprnops.o \
 	exprnpsr.o extnfunc.o factbin.o factbld.o factcmp.o factcom.o \
 	factfun.o factgen.o facthsh.o factlhs.o factmch.o factmngr.o \
 	factprt.o factrete.o factrhs.o filecom.o filertr.o generate.o \
 	genrcbin.o genrccmp.o genrccom.o genrcexe.o genrcfun.o \
 	genrcpsr.o globlbin.o globlbsc.o globlcmp.o globlcom.o \
 	globldef.o globlpsr.o immthpsr.o incrrset.o inherpsr.o \
 	inscom.o insfile.o insfun.o insmngr.o insmoddp.o insmult.o \
 	inspsr.o insquery.o insqypsr.o iofun.o lgcldpnd.o main.o \
 	memalloc.o miscfun.o modulbin.o modulbsc.o modulcmp.o moduldef.o \
 	modulpsr.o modulutl.o msgcom.o msgfun.o msgpass.o msgpsr.o \
 	multifld.o multifun.o objbin.o objcmp.o objrtbin.o objrtbld.o \
 	objrtcmp.o objrtfnx.o objrtgen.o objrtmch.o parsefun.o pattern.o \
 	pprint.o prccode.o prcdrfun.o prcdrpsr.o prdctfun.o prntutil.o \
 	proflfun.o reorder.o reteutil.o retract.o router.o rulebin.o \
 	rulebld.o rulebsc.o rulecmp.o rulecom.o rulecstr.o ruledef.o \
 	ruledlt.o rulelhs.o rulepsr.o scanner.o sortfun.o strngfun.o \
 	strngrtr.o symblbin.o symblcmp.o symbol.o sysdep.o textpro.o \
 	tmpltbin.o tmpltbsc.o tmpltcmp.o tmpltdef.o tmpltfun.o tmpltlhs.o \
 	tmpltpsr.o tmpltrhs.o tmpltutl.o userdata.o utility.o watch.o

.c.o :
	gcc -c -Wall -Wpointer-arith -Wshadow -Wcast-qual \
	    -Wcast-align -Wconversion -Wid-clash-32 -Winline \
	    -Woverloaded-virtual -Wmissing-prototypes -Wconversion \
	    -Wstrict-prototypes -Waggregate-return -Wno-implicit $<

clips : $(OBJS)
	gcc -o clips $(OBJS) -lm -ltermcap   

agenda.o: agenda.c setup.h argacces.h expressn.h exprnops.h evaluatn.h \
 constant.h symbol.h userdata.h moduldef.h constrct.h scanner.h pprint.h \
 crstrtgy.h agenda.h ruledef.h constrnt.h cstrccom.h network.h match.h \
 pattern.h reorder.h engine.h extnfunc.h memalloc.h modulutl.h reteutil.h \
 retract.h router.h prntutil.h rulebsc.h strngrtr.h sysdep.h watch.h

analysis.o: analysis.c setup.h constant.h symbol.h memalloc.h \
 exprnpsr.h extnfunc.h expressn.h exprnops.h \
 userdata.h scanner.h pprint.h reorder.h ruledef.h evaluatn.h constrct.h \
 moduldef.h constrnt.h cstrccom.h agenda.h match.h network.h pattern.h \
 generate.h router.h prntutil.h cstrnchk.h cstrnutl.h cstrnops.h \
 rulecstr.h modulutl.h analysis.h globldef.h

argacces.o: argacces.c setup.h extnfunc.h symbol.h \
 expressn.h exprnops.h userdata.h router.h prntutil.h moduldef.h \
 evaluatn.h constant.h constrct.h scanner.h pprint.h cstrnchk.h constrnt.h \
 insfun.h object.h multifld.h match.h network.h ruledef.h cstrccom.h \
 agenda.h pattern.h reorder.h factmngr.h tmpltdef.h factbld.h argacces.h

bload.o: bload.c setup.h memalloc.h exprnpsr.h \
 extnfunc.h symbol.h expressn.h exprnops.h userdata.h scanner.h pprint.h \
 argacces.h evaluatn.h constant.h moduldef.h  constrct.h router.h prntutil.h bsave.h \
 cstrnbin.h constrnt.h utility.h bload.h exprnbin.h sysdep.h symblbin.h

bmathfun.o: bmathfun.c  setup.h \
 exprnpsr.h extnfunc.h symbol.h expressn.h exprnops.h userdata.h scanner.h \
 pprint.h argacces.h evaluatn.h constant.h moduldef.h constrct.h router.h \
 prntutil.h bmathfun.h

bsave.o: bsave.c setup.h memalloc.h exprnpsr.h \
 extnfunc.h symbol.h expressn.h exprnops.h userdata.h scanner.h pprint.h \
 argacces.h evaluatn.h constant.h moduldef.h  constrct.h router.h prntutil.h cstrnbin.h \
 constrnt.h symblbin.h bload.h exprnbin.h sysdep.h bsave.h

classcom.o: classcom.c setup.h bload.h extnfunc.h symbol.h expressn.h \
 exprnops.h userdata.h exprnbin.h sysdep.h symblbin.h argacces.h evaluatn.h \
 constant.h moduldef.h constrct.h scanner.h pprint.h classfun.h object.h \
 constrnt.h multifld.h match.h network.h ruledef.h cstrccom.h agenda.h \
 pattern.h reorder.h classini.h modulutl.h msgcom.h router.h prntutil.h \
 classcom.h

classexm.o: classexm.c setup.h argacces.h \
 expressn.h exprnops.h evaluatn.h constant.h symbol.h userdata.h \
 moduldef.h constrct.h \
 scanner.h pprint.h classcom.h cstrccom.h object.h constrnt.h multifld.h \
 match.h network.h ruledef.h agenda.h pattern.h reorder.h classfun.h \
 classini.h memalloc.h insfun.h msgcom.h msgfun.h msgpass.h router.h \
 prntutil.h strngrtr.h classexm.h

classfun.o: classfun.c setup.h bload.h \
 extnfunc.h symbol.h expressn.h exprnops.h userdata.h exprnbin.h \
 sysdep.h symblbin.h classcom.h cstrccom.h moduldef.h \
 evaluatn.h constant.h constrct.h scanner.h pprint.h object.h constrnt.h \
 multifld.h match.h network.h ruledef.h agenda.h pattern.h reorder.h \
 classini.h memalloc.h cstrcpsr.h inscom.h insfun.h \
 insmngr.h modulutl.h msgfun.h msgpass.h router.h prntutil.h utility.h \
 classfun.h

classinf.o: classinf.c setup.h argacces.h expressn.h \
 exprnops.h evaluatn.h constant.h symbol.h userdata.h moduldef.h \
 constrct.h scanner.h pprint.h classcom.h cstrccom.h object.h constrnt.h \
 multifld.h match.h network.h ruledef.h agenda.h pattern.h reorder.h \
 classexm.h classfun.h classini.h memalloc.h insfun.h msgfun.h msgpass.h \
 prntutil.h classinf.h

classini.o: classini.c setup.h classcom.h cstrccom.h moduldef.h symbol.h \
 evaluatn.h constant.h expressn.h exprnops.h userdata.h constrct.h \
 scanner.h pprint.h object.h constrnt.h multifld.h match.h network.h \
 ruledef.h agenda.h pattern.h reorder.h classexm.h classfun.h classinf.h \
 classpsr.h memalloc.h cstrcpsr.h extnfunc.h \
 inscom.h modulpsr.h modulutl.h msgcom.h watch.h defins.h insquery.h \
 objbin.h objcmp.h objrtbld.h classini.h

classpsr.o: classpsr.c setup.h bload.h extnfunc.h symbol.h expressn.h \
 exprnops.h userdata.h exprnbin.h \
 sysdep.h symblbin.h classcom.h cstrccom.h \
 moduldef.h evaluatn.h constant.h constrct.h scanner.h pprint.h object.h \
 constrnt.h multifld.h match.h network.h ruledef.h agenda.h pattern.h \
 reorder.h classfun.h memalloc.h cstrcpsr.h \
 inherpsr.h modulpsr.h modulutl.h msgpsr.h clsltpsr.h router.h prntutil.h \
 classpsr.h

clsltpsr.o: clsltpsr.c setup.h classfun.h object.h \
 constrct.h moduldef.h symbol.h \
 evaluatn.h constant.h expressn.h exprnops.h userdata.h scanner.h pprint.h \
 constrnt.h multifld.h match.h network.h ruledef.h cstrccom.h agenda.h \
 pattern.h reorder.h memalloc.h cstrnchk.h cstrnpsr.h cstrnutl.h default.h \
 insfun.h prntutil.h router.h clsltpsr.h

commline.o: commline.c \
 setup.h constant.h symbol.h memalloc.h scanner.h pprint.h exprnpsr.h \
 extnfunc.h expressn.h exprnops.h userdata.h argacces.h evaluatn.h \
 moduldef.h constrct.h router.h prntutil.h strngrtr.h prcdrfun.h \
 prcdrpsr.h constrnt.h utility.h filecom.h cstrcpsr.h commline.h

conscomp.o: conscomp.c setup.h \
 symbol.h memalloc.h constant.h exprnpsr.h extnfunc.h expressn.h \
 exprnops.h userdata.h scanner.h pprint.h cstrccom.h moduldef.h evaluatn.h \
 constrct.h argacces.h cstrncmp.h constrnt.h router.h prntutil.h utility.h \
 modulcmp.h network.h match.h pattern.h reorder.h ruledef.h agenda.h \
 dffnxcmp.h dffnxfun.h tmpltcmp.h globlcmp.h genrccmp.h genrcfun.h \
 object.h multifld.h objcmp.h conscomp.h symblcmp.h

constrct.o: constrct.c \
 setup.h constant.h memalloc.h router.h prntutil.h \
 moduldef.h symbol.h evaluatn.h expressn.h exprnops.h userdata.h \
 constrct.h scanner.h pprint.h watch.h prcdrfun.h prcdrpsr.h constrnt.h \
 argacces.h exprnpsr.h extnfunc.h multifld.h utility.h commline.h

constrnt.o: constrnt.c setup.h constant.h memalloc.h \
 router.h prntutil.h moduldef.h symbol.h evaluatn.h expressn.h exprnops.h \
 userdata.h constrct.h scanner.h pprint.h extnfunc.h multifld.h constrnt.h \
 argacces.h

crstrtgy.o: crstrtgy.c setup.h constant.h pattern.h evaluatn.h symbol.h \
 expressn.h exprnops.h userdata.h scanner.h pprint.h match.h network.h \
 ruledef.h constrct.h moduldef.h constrnt.h cstrccom.h agenda.h reorder.h \
 reteutil.h argacces.h crstrtgy.h

cstrcbin.o: cstrcbin.c setup.h bload.h extnfunc.h symbol.h expressn.h \
 exprnops.h userdata.h exprnbin.h \
 sysdep.h symblbin.h bsave.h moduldef.h \
 evaluatn.h constant.h constrct.h scanner.h pprint.h cstrcbin.h

cstrccom.o: cstrccom.c \
 setup.h constant.h memalloc.h moduldef.h symbol.h \
 evaluatn.h expressn.h exprnops.h userdata.h constrct.h scanner.h pprint.h \
 argacces.h multifld.h modulutl.h router.h prntutil.h utility.h commline.h \
 bload.h extnfunc.h exprnbin.h sysdep.h symblbin.h cstrcpsr.h cstrccom.h

cstrcpsr.o: cstrcpsr.c setup.h router.h prntutil.h \
 moduldef.h symbol.h evaluatn.h constant.h expressn.h exprnops.h \
 userdata.h constrct.h scanner.h pprint.h watch.h prcdrpsr.h constrnt.h \
 exprnpsr.h extnfunc.h modulutl.h modulpsr.h utility.h cstrcpsr.h

cstrnbin.o: cstrnbin.c setup.h constant.h memalloc.h \
 router.h prntutil.h moduldef.h symbol.h \
 evaluatn.h expressn.h exprnops.h userdata.h constrct.h scanner.h pprint.h \
 bload.h extnfunc.h exprnbin.h sysdep.h symblbin.h bsave.h cstrnbin.h \
 constrnt.h

cstrnchk.o: cstrnchk.c setup.h router.h prntutil.h moduldef.h symbol.h \
 evaluatn.h constant.h expressn.h exprnops.h userdata.h constrct.h \
 scanner.h pprint.h multifld.h extnfunc.h cstrnutl.h constrnt.h cstrnchk.h

cstrncmp.o: cstrncmp.c setup.h constant.h memalloc.h \
 router.h prntutil.h moduldef.h symbol.h \
 evaluatn.h expressn.h exprnops.h userdata.h constrct.h scanner.h pprint.h \
 conscomp.h extnfunc.h symblcmp.h cstrncmp.h constrnt.h

cstrnops.o: cstrnops.c setup.h constant.h memalloc.h \
 router.h prntutil.h moduldef.h symbol.h evaluatn.h \
 expressn.h exprnops.h userdata.h constrct.h scanner.h pprint.h extnfunc.h \
 multifld.h constrnt.h cstrnchk.h cstrnutl.h cstrnops.h

cstrnpsr.o: cstrnpsr.c setup.h constant.h memalloc.h \
 router.h prntutil.h moduldef.h symbol.h evaluatn.h expressn.h exprnops.h \
 userdata.h constrct.h scanner.h pprint.h cstrnutl.h constrnt.h cstrnchk.h \
 cstrnpsr.h

cstrnutl.o: cstrnutl.c setup.h constant.h memalloc.h \
 router.h prntutil.h moduldef.h symbol.h evaluatn.h expressn.h exprnops.h \
 userdata.h constrct.h scanner.h pprint.h extnfunc.h multifld.h argacces.h \
 cstrnutl.h constrnt.h

default.o: default.c setup.h constant.h constrnt.h \
 evaluatn.h symbol.h expressn.h exprnops.h userdata.h cstrnchk.h \
 multifld.h inscom.h object.h constrct.h moduldef.h scanner.h pprint.h \
 match.h network.h ruledef.h cstrccom.h agenda.h pattern.h reorder.h \
 exprnpsr.h extnfunc.h router.h prntutil.h factmngr.h tmpltdef.h factbld.h \
 cstrnutl.h default.h

defins.o: defins.c setup.h bload.h extnfunc.h symbol.h expressn.h \
 exprnops.h userdata.h exprnbin.h \
 sysdep.h symblbin.h dfinsbin.h dfinscmp.h \
 argacces.h evaluatn.h constant.h moduldef.h constrct.h scanner.h pprint.h \
 classcom.h cstrccom.h object.h constrnt.h multifld.h match.h network.h \
 ruledef.h agenda.h pattern.h reorder.h classfun.h memalloc.h \
 cstrcpsr.h insfun.h inspsr.h modulpsr.h router.h \
 prntutil.h utility.h defins.h

developr.o: developr.c setup.h router.h \
 prntutil.h moduldef.h symbol.h evaluatn.h constant.h expressn.h \
 exprnops.h userdata.h constrct.h scanner.h pprint.h argacces.h extnfunc.h \
 modulutl.h tmpltdef.h constrnt.h factbld.h pattern.h match.h network.h \
 ruledef.h cstrccom.h agenda.h reorder.h factmngr.h multifld.h facthsh.h \
 classcom.h object.h classfun.h objrtmch.h developr.h

dffctbin.o: dffctbin.c setup.h memalloc.h dffctdef.h \
 symbol.h expressn.h exprnops.h evaluatn.h constant.h userdata.h \
 constrct.h moduldef.h scanner.h pprint.h cstrccom.h bload.h extnfunc.h \
 exprnbin.h sysdep.h symblbin.h bsave.h dffctbin.h modulbin.h cstrcbin.h

## clips 6.30

=== debian/changelog ===
clips (6.30-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix typo in maintainer address closes: #881009
  * Don't build html files in doc package, so we can remove pdf2htmlex
    as build-dependency. closes: #952621, #934949
    - Remove Format: HTML in *.doc-base files
    - Edit Makefile in clips_docs.diff

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 30 Mar 2020 20:51:48 +0200

clips (6.30-4) unstable; urgency=medium

  * Move pdf2htmlex, sharutils to Build-Depends (Closes: #878841)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 06 Nov 2017 22:20:23 +0100

clips (6.30-3) unstable; urgency=low

  * debian/control:
     - Move clips-doc in clips from Recommends to Suggests
     - Remov clips-common from Depends in clips
     - Fix vesion number of Debian standards
     - Move pdf2htmlex, sharutils to Build-Depends-Indep
  * debian/patches/clips_improved_build.diff: Install all the
    headers file (refresh definition of HDRS)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Thu, 19 Oct 2017 23:33:08 +0200

clips (6.30-2) unstable; urgency=medium

  * debian/control: 
     - Add sharutils to Build-Deps as it is required for building the
       documentation (Closes: #878841)
     - Include contents from clips-doc package
     - Adjust description of clips-common to highlight that it provides the
       examples
     - Adjust description of clips-doc to highlight that it provides the
       documentation, and not the examples
     - Updated Standards Version, no changes required
     - Add ${misc:Depends} to packages (lintian fix)
     - Change Recommended package from 'gv' to 'evince' for pdf reader
  * debian/changelog: 
      - Integrate history of the clips-doc package
      - Document two Launchpad bugs which have been closed in previous
        package versions
  * debian/rules: 
      - Replace dh_clean -k with dh_prep (lintian fix)
      - Replace definition of INSTALL PROGRAM from 'install -c -s' to
        simply 'install' to prevent stripping the binaries (let dh_strip
        do it, which honos the nostrip build option (Closes: #436632)
      - Create clips-doc.docs and clips-common.examples so we call 
        simply dh_installdocs and dh_installexamples (without -p) in the
        binary indep target
  * debian/clips.1: 
    - Comment reference to help file as it is not currently provided
    - Remove reference to the clips-doc package, refer to clips-common instead
    - Adjust reference to documentation, FAQ is no longer provided but PDF and
      HTML manuals area
  * debian/clips-doc.doc-base.{abstracts,apg,architecture,bpg,ig,usrguide}:
     Move here from the clips-doc package to keep all the content in the same
     location. Add references to HTML documentation.
  * debian/README.Debian: adjust references, improve wording and update
    HTTP links
  * debian/patches/clips_improved_build.diff: Do not strip binaries in
    libraries, let dh_strip do it for us. This makes it possible to honor
    the nostrip build option (Closes: #436632)
  * debian/watch: Add based on the patch provided by Joao Eriberto Mota Filho 
    for the clips-doc package

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 17 Oct 2017 01:26:11 +0200

clips (6.30-1) unstable; urgency=medium

  * New upstream release (Closes: #539068)
  * debian/rules: 
     - Update to use the new directory where the source is held (core/ instead
       of clipssrc/)
     - Remove code related to documentation, as this has been moved to a patch
     - Add rules to build architecture independent packages (build HTML from
       PDF files)
  * debian/control:
    - Update Homepage to http://www.clipsrules.net/
    - Do not make a reference to specific versions in the package description
    - Use proper encoding in maintainer's surname
    - Rename libclips packages to libclips6
    - Build-depend on pdf2htmlex, as this is used to build the HTML files
  * Switch to 3.0 quilt source format (create debian/source/format)
  * debian/clips.desktop: Remoe empty Mime definition that led to Lintian 
    warning
  * debian/patches: Split the patches included in the Debian package into
    independent patches to make updating to new upstream releases easier to
    manage.

    Patches enabled:
    - clips_improved_build.diff: Improved build system, this is used instead
      of upstream's to build the clips binary and library
    - clips_docs.diff: Patch to include documentation provided upstream
    - clips_examples.diff: Patch to include the examples provided upstream,
      examples have been updated to the ones provided in version 6.30. Some
      older examples are povided too.

    Disabled patches (to be removed in future releases):
    - clips_patch_docs.diff: Patch to provide FAQ documentation available in
      website (outdated)
    - clips_remove_logos.diff: Patch to clean docs and remove lintian errors and
      warnings
    - clips_remove_logos.diff: Patch to clean docs and remove lintian errors and
    - clips_help_file.diff: New patch to update the help file (clips.hlp)
      updating the information describing where source code, documentation and
      support can be found. 
    - clips_update_help_file.diff: Update to the help file originally provided
      in 6.24
    - clips_x.diff, clips_patch_x.diff: Patch to include the Xclips binary
  * core/Makefile.in: 
     - Move library definitions to the end to fix build errors in Ubuntu natty
       (Closes: #616327) (LP: #728438)
     - Update to include all objects in library sources so all functions are
       available there 
  * core/configure.in: Do not update setup.h from setup.h.in, keep as upstream 
    povides to ensure all the functionality is enabled such as the fact-set
    query functions (Closes: #508946) (LP: #1027355)
  * Remove empty postinst/prerm scripts, let debhelper do it all 
    (Closes: #866298, #866281)



=== debian/control ===
Source: clips
Section: interpreters
Priority: optional
Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Build-Depends: libncurses-dev, debhelper (>= 10~), sharutils
Standards-Version:  4.1.1
Homepage: http://www.clipsrules.net/

Package: clips
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: clips-common
Suggests: clips-doc
Description: "C" Language Integrated Production System 
 CLIPS is an OPS-like forward chaining production system written 
 in ANSI C by NASA. The CLIPS inference engine includes truth maintenance, 
 dynamic rule addition, and customizable conflict resolution strategies. 
 . 
 CLIPS, including the runtime version, is easily embeddable in other
 applications.  CLIPS includes an object-oriented language called COOL
 (CLIPS Object-Oriented Language) which is directly integrated with the
 inference engine.


Package: libclips
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends} 
Description: CLIPS shared libraries
 CLIPS is an OPS-like forward chaining production system written 
 in ANSI C by NASA. The CLIPS inference engine includes truth maintenance, 
 dynamic rule addition, and customizable conflict resolution strategies. 
 . 
 CLIPS, including the runtime version, is easily embeddable in other
 applications.  CLIPS includes an object-oriented language called COOL
 (CLIPS Object-Oriented Language) which is directly integrated with the
 inference engine.
 .
 This package installs the required shared libraries.

Package: libclips-dev
Architecture: any
Section: libdevel
Depends: libclips  (= ${binary:Version}), libc6-dev, ${misc:Depends}
Description: CLIPS shared libraries
 CLIPS is an OPS-like forward chaining production system written 
 in ANSI C by NASA. The CLIPS inference engine includes truth maintenance, 
 dynamic rule addition, and customizable conflict resolution strategies. 
 . 
 CLIPS, including the runtime version, is easily embeddable in other
 applications.  CLIPS includes an object-oriented language called COOL
 (CLIPS Object-Oriented Language) which is directly integrated with the
 inference engine.
 .
 This package installs the static libraries and headers.

Package: clips-common
Architecture: all
Depends: ${misc:Depends}
Recommends: clips, clips-doc
Description: CLIPS common files and examples
 CLIPS is an OPS-like forward chaining production system written 
 in ANSI C by NASA. The CLIPS inference engine includes truth maintenance, 
 dynamic rule addition, and customizable conflict resolution strategies. 
 . 
 This package installs the common files for the program. It currently includes
 several examples of CLIPS programs that can be used to learn the language and
 test its interfaces.

Package: clips-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: clips, evince | pdf-viewer
Description: "C" Language Integrated Production System Documentation
 CLIPS is an OPS-like forward chaining production system written 
 in ANSI C by NASA. The CLIPS inference engine includes truth maintenance, 
 dynamic rule addition, and customizable conflict resolution strategies. 
 . 
 This package contains the CLIPS documentation including the user's guide,
 basic and advanced programming guide and the interfaces guide.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

#export DH_VERBOSE=1
export DH_OPTIONS

package=clips

core/configure: core/configure.in
	cd core && autoconf
	cd core && chmod a+x ./configure ./mkinstalldirs

x-prjct/xinterface/configure: x-prjct/xinterface/configure.in
	cd x-prjct/xinterface && autoconf

configure: core/configure.status
core/configure.status:
	dh_testdir
	cd core && sh ./configure --prefix=$(CURDIR)/debian/clips/usr 

build-arch: build-arch-stamp
build-arch-stamp: configure
	dh_testdir
	cd core && $(MAKE) -f Makefile clips
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: 
	dh_testdir
	cd doc && $(MAKE) -f Makefile all
	touch $@

build: build-arch-stamp build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build configure 
	cd core && ( $(MAKE) -i distclean || $(MAKE) -f Makefile.in distclean )
	cd doc &&  $(MAKE) -i distclean 
	dh_clean build-arch-stamp build-indep-stamp


install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_prep
	dh_installdirs -a
	cd core && $(MAKE) -f Makefile INSTALL_PROGRAM='install' \
		prefix=$(CURDIR)/debian/libclips/usr install-libs
	# Fix for lib files
	rm `pwd`/debian/libclips/usr/lib/libclips.a 
	rm `pwd`/debian/libclips/usr/lib/libclips.so
	cd core && $(MAKE) -f Makefile INSTALL_PROGRAM='install' \
		prefix=$(CURDIR)/debian/clips/usr install-bin
	cd core && $(MAKE) -f Makefile INSTALL_PROGRAM='install' \
		prefix=$(CURDIR)/debian/libclips-dev/usr install-includes
	install -m655 core/libclips.a `pwd`/debian/libclips-dev/usr/lib/
	[ ! -e `pwd`/debian/libclips-dev/usr/lib/libclips.so ] || ( cd `pwd`/debian/libclips-dev/usr/lib && ln -s libclips.so.6.30 libclips.so )
	# Remove empty dirs created by the install target
	[ ! -d $(CURDIR)/debian/clips/usr/share/clips ] || rmdir $(CURDIR)/debian/clips/usr/share/clips
	[ ! -d $(CURDIR)/debian/libclips-dev/usr/share/doc/clips ] || rmdir $(CURDIR)/debian/libclips-dev/usr/share/doc/clips
	# Install desktop file
	install -m 644 debian/clips.xpm $(CURDIR)/debian/clips/usr/share/pixmaps
	install -m 644 debian/clips.desktop $(CURDIR)/debian/clips/usr/share/applications


binary-indep: DH_OPTIONS=-i
binary-indep: 
	dh_testdir
	dh_testroot
	dh_installdirs
# Note: this apparently does not work properly yet,
#	dh_installdocs -pclips-doc --doc-main-package=clips 
	dh_installdocs 
# Note: this apparently does not work properly yet,
#	dh_installexamples -pclips-common --doc-main-package=clips examples/*
	dh_installexamples
	dh_installman
	dh_installinfo
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: DH_OPTIONS=-a
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installdocs
	dh_installmenu
	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

# Rules to build the xclips sources
# Note: currently not used in the package
configure-x: x-prjct/xinterface/configure.status
x-prjct/xinterface/configure.status:
	dh_testdir
	cd x-prjct/xinterface && sh ./configure  \
		--prefix=$(CURDIR)/debian/clips/usr/ \
		--enable-xclips --with-clipssrc=../../core/ 
	cd core && sh ./configure --prefix=$(CURDIR)/debian/xclips/usr 

build-x: build-x-stamp
build-x-stamp: configure-x
	dh_testdir
	cd x-prjct/xinterface && $(MAKE) -f Makefile xclips 
	touch $@

clean-x:
	dh_testdir
	dh_testroot
	-rm -f build-x configure-x
	cd x-prjct/xinterface && ( $(MAKE) -i distclean || $(MAKE) -f Makefile.in distclean )
	dh_clean build-stamp 

install-x: DH_OPTIONS=
install-x: build-x
	cd x-prjct/xinterface && $(MAKE) -f Makefile \
		INSTALL_PROGRAM='install -c -s' \
		prefix=$(CURDIR)/debian/xclips/usr install-bin 
	install -m644 Xclips $(CURDIR)/debian/xclips/etc/X11/app-defaults/Xclips
	# Remove empty dirs created by the install target
	[ ! -d $(CURDIR)/debian/xclips/usr/share/clips ] || rmdir $(CURDIR)/debian/xclips/usr/share/clips
	# Install desktop file for Xversion
	install -m 644 debian/xclips.desktop $(CURDIR)/debian/xclips/usr/share/applications

.PHONY: build build-arch build-indep build-x clean binary binary-arch binary-indep install

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)/$1\./ http://sf.net/clipsrules/ .*/clips_core_source_(\d+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# For documentation:
#http://sf.net/clipsrules/ .*/clips_documentation_(\d+).zip
